<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  
  <!-- Meta tag for responsiveness -->
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <!-- Icon for the title bar -->
  <link rel="website icon" type="png" href="./images/nodejs.png">

  <!-- Link for the bootstrap -->
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css" integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous"/>

  
  <title>Bootstrap Components</title>
</head>
<body>
  <!-- Navbar section -->
  <nav class="navbar navbar-expand-lg navbar-dark bg-primary ">
    <a class="navbar-brand" href="#">Christopher Mortel</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarNav">
      
      <ul class="navbar-nav ml-auto">
        <li class="nav-item active">
          <a class="nav-link" href="#">About me<span class="sr-only">(current)</span></a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="#">Projects</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="#">Tools</a>
        </li>
      </ul>
    </div>
  </nav>
  <!-- End of navbar -->

  
  <div class = "container-fluid text-center">
    <div class ="row">
      <!-- Side bar -->
      <div class = "col-md-2 d-none d-md-block p-0">
        <div class="accordion" id="accordionExample">
          <div class="card">
            <div class="card-header" id="headingOne">
              <h2 class="mb-0">
                <button class="btn btn-link btn-block text-left" type="button" data-toggle="collapse" data-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                  Services
                </button>
              </h2>
            </div>

            <div id="collapseOne" class="collapse show" aria-labelledby="headingOne" data-parent="#accordionExample">
              <div class="card-body">
                <ul style = "list-style: none;" class = "text-justify">
                  <li><a href="">Front-end Design</a></li>
                  <li><a href="">Back-end Design</a></li>
                  <li><a href="">Full-stack Development</a></li>
                </ul>
              </div>
            </div>
          </div>
          <div class="card">
            <div class="card-header" id="headingTwo">
              <h2 class="mb-0">
                <button class="btn btn-link btn-block text-left collapsed" type="button" data-toggle="collapse" data-target="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo">
                  Projects
                </button>
              </h2>
            </div>
            <div id="collapseTwo" class="collapse" aria-labelledby="headingTwo" data-parent="#accordionExample">
              <div class="card-body">
                <ul style = "list-style: none;" class = "text-justify">
                  <li><a href="">HTML</a></li>
                  <li><a href="">CSS</a></li>
                  <li><a href="">Bootstrap</a></li>
                </ul>
              </div>
            </div>
          </div>
          <div class="card">
            <div class="card-header" id="headingThree">
              <h2 class="mb-0">
                <button class="btn btn-link btn-block text-left collapsed" type="button" data-toggle="collapse" data-target="#collapseThree" aria-expanded="false" aria-controls="collapseThree">
                  Tools
                </button>
              </h2>
            </div>
            <div id="collapseThree" class="collapse" aria-labelledby="headingThree" data-parent="#accordionExample">
              <div class="card-body">
                <ul style="list-style:none;" class = "text-justify">
                  <li><a href="">Core Tools</a></li>
                  <li><a href="">Other Tools</a></li>
                </ul>
              </div>
            </div>
          </div>
        </div>
      </div>
      <!-- End of Side bar -->

      <div class="col-md-10 p-0">
        <div class = "container-fluid bg-dark text-light min-vh-100">
          <img src="./images/ada.jpg" class = "rounded-circle col-md-3 col-6 mt-5">

          <h1>Ada Lovelace</h1>
          <h3>FULL-STACK DEVELOPER</h3>
          <div class = "row justify-content-around">
            <div class = "col-8 ">
              Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
              tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
              quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
              consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse
              cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
              proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
            </div>
          </div>

          <!-- Start of Carousel -->
          <div class = "row d-md-flex d-none justify-content-around mt-5">
            <div class ="col-6">
              <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
                <ol class="carousel-indicators">
                  <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
                  <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
                  <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
                </ol>
                <div class="carousel-inner">
                  <div class="carousel-item active">
                    <img src="https://place-puppy.com/500x300" class="d-block w-100 h-25" alt="...">
                  </div>
                  <div class="carousel-item">
                    <img src="http://placekitten.com/500/300" class="d-block w-100 h-25" alt="...">
                  </div>
                  <div class="carousel-item">
                    <img src="https://placebear.com/500/300" class="d-block w-100 h-25" alt="...">
                  </div>
                </div>
                <a class="carousel-control-prev" type="button" data-target="#carouselExampleIndicators" data-slide="prev">
                  <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                  <span class="sr-only">Previous</span>
                </a>
                <a class="carousel-control-next" type="button" data-target="#carouselExampleIndicators" data-slide="next">
                  <span class="carousel-control-next-icon" aria-hidden="true"></span>
                  <span class="sr-only">Next</span>
                </a>
              </div>
            </div>
          </div>
          <!-- End of Carousel -->
        </div>
        <!-- start of Cards -->
        <div class = "bg-secondary text-light min-vh-100 p-3">
          <h2>Other Projects</h2>
          <div class = "d-md-flex justify-content-md-around mb-3">
            <!-- first card -->
            <div class="card bg-dark col-md-3 col-8 offset-2 offset-md-0 mt-3">
              <img src="./images/html.jpg" class="card-img-top p-3" alt="...">
              <div class="card-body">
                <h5 class="card-title">HTML</h5>
                <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
              </div>
              <div class="card-body">
                <a href="#" class="card-link">Link to Project</a>
              </div>
            </div>
            <!-- end of first card -->

            <!-- start of second card -->
            <div class="card bg-dark col-md-3 col-8 offset-2 offset-md-0 mt-3">
              <img src="./images/bootstrap-illustration.png" class="card-img-top p-3" alt="...">
              <div class="card-body">
                <h5 class="card-title">Bootstrap</h5>
                <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
              </div>
              <div class="card-body">
                <a href="#" class="card-link">Link to Project</a>
              </div>
            </div>
            <!-- end of the second card -->

            <!-- start of the third card -->
            <div class="card bg-dark col-md-3 col-8 offset-2 offset-md-0 mt-3">
              <img src="./images/nodejs.png" class="card-img-top p-3" alt="...">
              <div class="card-body">
                <h5 class="card-title">NodeJS</h5>
                <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
              </div>
              <div class="card-body">
                <a href="#" class="card-link">Link to Project</a>
              </div>
            </div>
            <!-- end of the third card -->
          </div>

            <!-- Start of form -->
            <div class = "container-fluid bg-dark p-5">
                <h2 class = "container-fluid pt-2">Contact Me</h2>
                 <div class = "container-fluid bg-primary text-light d-flex justify-content-center col-lg-4 col-md-8 col-sm-12">
                <form>
                  <div class="form-group">
                    <label for="exampleInputEmail1">Name</label>
                    <input type="email" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp">
                  </div>
                  <div class="form-group">
                    <label for="exampleInputPassword1">Email Address</label>
                    <input type="password" class="form-control" id="exampleInputPassword1">
                  </div>
                   <div class="form-group">
                    <label for="exampleInputPassword1">Contact Number</label>
                    <input type="password" class="form-control" id="exampleInputPassword1">
                  </div>
                  <div>
                    <label>Concern</label><br/>
                    <select name="concern">
                      <option value="quotation">Quotation</option>
                      <option value="quotation1">Quotation 1</option>
                      <option value="fullendprogramming">Quotation 2</option>
                    </select>
                  </div>
                  <div>
                    <label for = "message">Message</label><br/>
                    <textarea name="message" rows = "3" id = "message"></textarea>
                  </div>
                  

                  <button type="send email" class="btn btn-dark"  data-toggle="modal" data-target="#exampleModal">Send Email</button>
                </form>

              </div>
            
              </div>
            </div>
            <div class="modal" tabindex="-1" id="exampleModal">
              <div class="modal-dialog">
                <div class="modal-content">
                  <div class="modal-header">
                    <h5 class="modal-title">Thank you for contacting us</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                      <span aria-hidden="true">&times;</span>
                    </button>
                  </div>
                  <div class="modal-body">
                    <p>Message Sent Successfully</p>
                  </div>
                  <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="button" class="btn btn-primary">Save changes</button>
                  </div>
                </div>
              </div>
            </div>

              
           
            

        </div>
      </div>
    </div>

  </div>






  <!-- Script tag for the bootstrap -->
  <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>
</body>
</html>
